%define _altdata_dir %_datadir/alterator

Name: alterator-dovecot
Version: 0.6
Release: alt2

Packager: Stanislav Ievlev <inger@altlinux.org>

BuildArch: noarch

Source:%name-%version.tar

Summary: alterator module for dovecot
License: GPL
Group: System/Configuration/Other
Requires: alterator >= 4.0-alt17 alterator-sh-functions dovecot
Requires: alterator-services

Conflicts: alterator-fbi < 2.5-alt1
Conflicts: alterator-browser-qt < 2.9.80-alt1
Conflicts: alterator-lookout < 1.0-alt2

BuildPreReq: alterator >= 4.0-alt17

# Automatically added by buildreq on Mon Jul 11 2005 (-bi)
BuildRequires: alterator

%description
alterator module for dovecot

%prep
%setup -q

%build
%make_build libdir=%_libdir

%install
%makeinstall

%files
%_datadir/alterator/applications/*
%_datadir/alterator/ui/*
%_alterator_backend3dir/*

%changelog
* Wed Apr 08 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.6-alt2
- remove debug messages

* Wed Apr 08 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.6-alt1
- add disable_plaintext_auth paramenter to the interface

* Mon Apr 06 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.5-alt1
- service dovecot reload on write
- move html UI in ui dir
- remove "Start, stop or restart service..." reference
- update translations in desktop-file

* Wed Jan 28 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.4-alt9
- move translations and po to alterator-l10n

* Fri Dec 05 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.4-alt8
- rebuild with new l10n

* Mon Nov 24 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt7
- rebuild with new l10n (english help)

* Sat Nov 01 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.4-alt6
- remove title and h1 from html template

* Thu Oct 09 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt5
- remove auth port setup
- use module.mak

* Fri May 30 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt4
- remove own checklistbox definition

* Thu May 29 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt3
- backend: update for alterator_api_version=1
- remove pot-file

* Wed May 28 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt2
- join to common translation database

* Wed May 28 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt1
- use checklistbox widget

* Mon May 12 2008 Stanislav Ievlev <inger@altlinux.org> 0.3-alt1
- remove html-messages.mak
- fix typos
- replace alterator-chkconfig with alterator-services

* Fri Mar 07 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.2-alt3
- remove install-html rule from makefile (use default rule from new alterator package)

* Wed Mar 05 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.2-alt2
- add  QT UI
- move html template and css to new-style dirs
- backend: write down "protocol = none" to config if none is selected
-          write down "mechanisms = plain" to config if none is selecned
- remove unsupported auth mechanisms (some are unsupported with PAM-authorisation)
- (dovecot can't be started if some mechanisms are unsupported or there is no mechanisms)


* Thu Feb 07 2008 Stanislav Ievlev <inger@altlinux.org> 0.2-alt1
- use alterator-sh-functions
- update to new help system

* Fri Jun 15 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt12
- switch to new menu system

* Wed May 02 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt11
- remove automatic service start

* Tue Apr 24 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt10
- add link for service configuration

* Mon Apr 23 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt9
- update Ukrainian translation

* Thu Apr 19 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt8
- little CSS optimizations

* Thu Mar 29 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt7
- add Ukrainian translation
- help improvements from kirill@
- fix titles

* Tue Mar 27 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt6
- improve po template generation
- add documentation

* Wed Mar 14 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt5
- assign 'Mail' group

* Fri Mar 09 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt4
- more translations

* Fri Mar 02 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt3
- add controls for postfix auth

* Mon Feb 26 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2
- include right css

* Thu Feb 15 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- initial release
